cmake_minimum_required(VERSION 4.2)
project(Raytracer C)

set(CMAKE_C_STANDARD 23)

add_executable(Raytracer main.c
        examples.c
        examples.h
        cJSON.c
        cJSON.h
        structs.h
        Collision.c
        Collision.c
        Collision.c
        collision.h
        raytrace.c
        raytrace.h
        vectorOp.c
        vectorOp.h
        interface.c
        interface.h
        helper.c
        helper.h)
